#!/bin/sh
#------------------------------------------------------------------------------
# Creation:     bastard
# Last Update:  $Id: rrdtool.cgi 13693 2007-07-29 13:57:30Z hh $
#------------------------------------------------------------------------------

# get main helper functions
. /srv/www/include/cgi-helper

# Security check
check_rights "rrdtool" "view"

# get config variables
. /var/run/rrdtool.cfg

: ${FORM_action:="tab1"}
tabid=`echo $FORM_action|sed s/[^0-9]//g`

eval 'set -- $RRDTOOL_'$tabid'_OPTIONS'
: ${FORM_option:=$1}

show_html_header "rrdtool"

#
# Menue - Links
#

maintabs=""

for idx in `seq 1 $RRDTOOL_N`
do
    eval '_tab'$idx='$RRDTOOL_'$idx'_COMMENT'
    maintabs="${maintabs}\"`eval echo '$_tab'$idx`\" \"$myname?action=tab$idx\" "
done

eval show_tab_header $maintabs

#
# Grafiken und Anker
#

idx=$tabid
eval dpath='$RRDTOOL_DB_PATH'
eval source='$RRDTOOL_'$idx'_SOURCE'
eval options='$RRDTOOL_'$idx'_OPTIONS'
eval vil='$RRDTOOL_'$idx'_VALUE_INTERVAL'
eval gil='$RRDTOOL_'$idx'_GRAPH_INTERVAL'
eval gpath='$RRDTOOL_'$idx'_GRAPH_PATH'

tabs=""
case $options in
    "")
        pict="$source"
    ;;
    *)
        for option in $options
        do
            case ${option} in
                $FORM_option)
                    tabs="${tabs}${option} no "
                ;;
                *)
                    tabs="${tabs}${option} $myname?action=tab$idx&amp;option=${option} "
                ;;
            esac
        done
        show_tab_header $tabs
        pict="$FORM_option"
    ;;
esac

for intervall in e-3h e-24h e-1w e-1m e-1y
do
    case "${intervall}" in
        "e-3h") text="letzten 3h" ;;
        "e-24h") text="letzten 24h" ;;
        "e-1w") text="letzte Woche" ;;
        "e-1m") text="letzter Monat" ;;
        "e-1y") text="letztes Jahr" ;;
    esac
    if [ 0$gil -eq 0 ]
    then
        [ -z "${options}" ]&&option="$intervall"||option="$FORM_option $intervall"
        . /etc/rrdtool/${source}.graph "$dpath" "$gpath" $option|rrdtool - >/dev/null
    fi
    echo "$text<br><img src=\"${source}/$pict-${intervall}.png\" alt=\"${source}/$pict-${intervall}.png\"><br><br>"
done
[ -z "$options" ]||show_tab_footer
show_tab_footer
show_html_footer

